# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.contrib import admin
from newsbox_cms.admin import NewsboxCMSAdmin
from newsbox.admin import NewsboxSEOAdmin, NewsboxExpiredAdmin

from .models import News, NewsComplete, NewsExtended


@admin.register(News)
class NewsAdmin(NewsboxCMSAdmin):
    pass



@admin.register(NewsComplete)
class NewsCompleteAdmin(NewsboxCMSAdmin, NewsboxSEOAdmin, NewsboxExpiredAdmin):
    pass



@admin.register(NewsExtended)
class NewsExtendedAdmin(NewsboxCMSAdmin, NewsboxSEOAdmin, NewsboxExpiredAdmin):
    def get_fieldsets(self, request, obj=None):
        fieldsets = super(NewsExtendedAdmin, self).get_fieldsets(request, obj)
        fieldsets[0][1]['fields'].append('general_field')
        fieldsets[2][1]['fields'].append('content_field')
        fieldsets[3][1]['fields'].append('seo_field')
        return fieldsets

    def get_list_display(self, request):
        list_display = super(NewsExtendedAdmin, self).get_list_display(request)
        list_display.append('seo_field')
        return list_display

