# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import migrations, models
import datetime
import djangocms_text_ckeditor.fields
import cms.models.fields


class Migration(migrations.Migration):

    dependencies = [
        ('cms', '0012_auto_20150607_2207'),
    ]

    operations = [
        migrations.CreateModel(
            name='News',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('newsbox_creation_date', models.DateTimeField(auto_now_add=True, verbose_name='creation date')),
                ('newsbox_changed_date', models.DateTimeField(auto_now=True, verbose_name='last update date')),
                ('newsbox_date', models.DateTimeField(default=None, help_text='Date of the event related to this news', null=True, verbose_name='date', blank=True)),
                ('newsbox_publication_start_date', models.DateTimeField(default=datetime.datetime.now, help_text='When the news should go live. Status must be "Published" for news to go live.', verbose_name='publication start date', db_index=True)),
                ('newsbox_status', models.CharField(default='draft', help_text='Use "Draft" to prepare your content before publishing and "Archived" to unpublish content without deleting it', max_length=10, verbose_name='status', choices=[('draft', 'draft'), ('published', 'published'), ('archived', 'archived')])),
                ('newsbox_summary', djangocms_text_ckeditor.fields.HTMLField(verbose_name='summary')),
                ('newsbox_title', models.CharField(max_length=255, verbose_name='title')),
                ('newsbox_slug', models.SlugField(help_text='The part of the title that is used in the URL', verbose_name='slug')),
                ('newsbox_body', cms.models.fields.PlaceholderField(slotname='newsbox_body', editable=False, to='cms.Placeholder', null=True, verbose_name='body')),
            ],
            options={
                'ordering': ('-newsbox_publication_start_date',),
                'verbose_name': 'news - CMS',
                'verbose_name_plural': 'news - CMS',
            },
        ),
        migrations.CreateModel(
            name='NewsComplete',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('newsbox_creation_date', models.DateTimeField(auto_now_add=True, verbose_name='creation date')),
                ('newsbox_changed_date', models.DateTimeField(auto_now=True, verbose_name='last update date')),
                ('newsbox_date', models.DateTimeField(default=None, help_text='Date of the event related to this news', null=True, verbose_name='date', blank=True)),
                ('newsbox_publication_start_date', models.DateTimeField(default=datetime.datetime.now, help_text='When the news should go live. Status must be "Published" for news to go live.', verbose_name='publication start date', db_index=True)),
                ('newsbox_status', models.CharField(default='draft', help_text='Use "Draft" to prepare your content before publishing and "Archived" to unpublish content without deleting it', max_length=10, verbose_name='status', choices=[('draft', 'draft'), ('published', 'published'), ('archived', 'archived')])),
                ('newsbox_publication_end_date', models.DateTimeField(help_text='When to expire the news.Leave empty to never expire.', null=True, verbose_name='publication end date', db_index=True, blank=True)),
                ('newsbox_indexed', models.PositiveSmallIntegerField(default=1, help_text='An unindexed news will not be indexed by search engines.', verbose_name='indexed', choices=[(0, 'Not indexed on search engines'), (1, 'Indexed on search engines')])),
                ('newsbox_meta_description', models.TextField(max_length=255, null=True, verbose_name='meta description', blank=True)),
                ('newsbox_meta_keywords', models.CharField(max_length=255, null=True, verbose_name='meta keywords', blank=True)),
                ('newsbox_summary', djangocms_text_ckeditor.fields.HTMLField(verbose_name='summary')),
                ('newsbox_title', models.CharField(max_length=255, verbose_name='title')),
                ('newsbox_slug', models.SlugField(help_text='The part of the title that is used in the URL', verbose_name='slug')),
                ('newsbox_body', cms.models.fields.PlaceholderField(slotname='newsbox_body', editable=False, to='cms.Placeholder', null=True, verbose_name='body')),
                ('newsbox_canonical_url', models.URLField(help_text='Ce champ vous permet d\'indiquer aux moteurs de recherche l\'URL "officielle" d\'un contenu dupliqu\xe9. Si votre contenu provient d\'une autre page (de votre site ou non), alors vous devriez indiquer l\'URL de ce contenu "source" afin d\'\xe9viter que les moteurs de recherches ne vous p\xe9nalisent pour du "contenu dupliqu\xe9". Vous pouvez consultez <a target="_blank" href="http://www.webrankinfo.com/dossiers/techniques/url-canonique">le dossier de webrankinfo</a> \xe0 ce sujet ou <a target="_blank" href="https://support.google.com/webmasters/answer/139066?hl=fr#2">l\'aide google</a>.', null=True, verbose_name='canonical URL', blank=True)),
            ],
            options={
                'ordering': ('-newsbox_publication_start_date',),
                'verbose_name': 'news - CompleteCMS',
                'verbose_name_plural': 'news - CompleteCMS',
            },
        ),
        migrations.CreateModel(
            name='NewsExtended',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('newsbox_creation_date', models.DateTimeField(auto_now_add=True, verbose_name='creation date')),
                ('newsbox_changed_date', models.DateTimeField(auto_now=True, verbose_name='last update date')),
                ('newsbox_date', models.DateTimeField(default=None, help_text='Date of the event related to this news', null=True, verbose_name='date', blank=True)),
                ('newsbox_publication_start_date', models.DateTimeField(default=datetime.datetime.now, help_text='When the news should go live. Status must be "Published" for news to go live.', verbose_name='publication start date', db_index=True)),
                ('newsbox_status', models.CharField(default='draft', help_text='Use "Draft" to prepare your content before publishing and "Archived" to unpublish content without deleting it', max_length=10, verbose_name='status', choices=[('draft', 'draft'), ('published', 'published'), ('archived', 'archived')])),
                ('newsbox_publication_end_date', models.DateTimeField(help_text='When to expire the news.Leave empty to never expire.', null=True, verbose_name='publication end date', db_index=True, blank=True)),
                ('newsbox_indexed', models.PositiveSmallIntegerField(default=1, help_text='An unindexed news will not be indexed by search engines.', verbose_name='indexed', choices=[(0, 'Not indexed on search engines'), (1, 'Indexed on search engines')])),
                ('general_field', models.CharField(max_length=50)),
                ('content_field', models.CharField(max_length=50)),
                ('seo_field', models.CharField(max_length=50)),
                ('newsbox_meta_description', models.TextField(max_length=255, null=True, verbose_name='meta description', blank=True)),
                ('newsbox_meta_keywords', models.CharField(max_length=255, null=True, verbose_name='meta keywords', blank=True)),
                ('newsbox_summary', djangocms_text_ckeditor.fields.HTMLField(verbose_name='summary')),
                ('newsbox_title', models.CharField(max_length=255, verbose_name='title')),
                ('newsbox_slug', models.SlugField(help_text='The part of the title that is used in the URL', verbose_name='slug')),
                ('newsbox_body', cms.models.fields.PlaceholderField(slotname='newsbox_body', editable=False, to='cms.Placeholder', null=True, verbose_name='body')),
                ('newsbox_canonical_url', models.URLField(help_text='Ce champ vous permet d\'indiquer aux moteurs de recherche l\'URL "officielle" d\'un contenu dupliqu\xe9. Si votre contenu provient d\'une autre page (de votre site ou non), alors vous devriez indiquer l\'URL de ce contenu "source" afin d\'\xe9viter que les moteurs de recherches ne vous p\xe9nalisent pour du "contenu dupliqu\xe9". Vous pouvez consultez <a target="_blank" href="http://www.webrankinfo.com/dossiers/techniques/url-canonique">le dossier de webrankinfo</a> \xe0 ce sujet ou <a target="_blank" href="https://support.google.com/webmasters/answer/139066?hl=fr#2">l\'aide google</a>.', null=True, verbose_name='canonical URL', blank=True)),
            ],
            options={
                'ordering': ('-newsbox_publication_start_date',),
                'verbose_name': 'news - ExtendedCMS',
                'verbose_name_plural': 'news - ExtendedCMS',
            },
        ),
        migrations.CreateModel(
            name='NewsPlugin',
            fields=[
                ('cmsplugin_ptr', models.OneToOneField(on_delete=models.CASCADE, parent_link=True, auto_created=True, primary_key=True, serialize=False, to='cms.CMSPlugin')),
                ('title', models.CharField(help_text='Title to display before the list', max_length=255, null=True, verbose_name='Title', blank=True)),
                ('numitems', models.PositiveSmallIntegerField(default=2, help_text='Number of news to display. "0" allow you to display ALL news', verbose_name='Number of news')),
                ('with_pager', models.BooleanField(default=False, verbose_name='Display a pager')),
                ('page_link', cms.models.fields.PageField(blank=True, to='cms.Page', help_text='Page displaying all news', null=True, verbose_name='All news page')),
            ],
            options={
                'abstract': False,
            },
            bases=('cms.cmsplugin',),
        ),
    ]
